package net.wanji.opt.task;

import lombok.extern.slf4j.Slf4j;
import net.wanji.opt.servicev2.judgeanalysis.AnalysisProblemCrossDayService;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.time.LocalDateTime;
@Component
@Slf4j
public class AnalysisProblemCrossDayTask implements ApplicationRunner {
    @Resource
    private AnalysisProblemCrossDayService analysisProblemCrossDayService;
    @Override
    public void run(ApplicationArguments args) throws Exception {
        log.info("服务启动时--干线协调方向频发拥堵/缓行路段--任务执行时间：" + LocalDateTime.now());
        // 干线协调方向频发拥堵/缓行路段
        try {
//            analysisProblemCrossDayService.insertAnalysisProblemCrossDay();
        }catch (Exception e){
            log.error("服务启动时--干线协调方向频发拥堵/缓行路段--任务执行错误" + e);
        }
        log.info("服务启动时--干线协调方向频发拥堵/缓行路段--任务执行结束时间：" + LocalDateTime.now());
    }

    /**
     * 每凌晨 0:30 执行的任务
     */
    @Scheduled(cron = "0 10 0 * * ?")    public void executeWeeklyTask() {
        //干线协调方向频发拥堵/缓行路段
        log.info("定时任务--干线协调方向频发拥堵/缓行路段--执行开始时间：" + LocalDateTime.now());
        try {
            analysisProblemCrossDayService.insertAnalysisProblemCrossDay();
        }catch (Exception e){
            log.error("定时任务--干线协调方向频发拥堵/缓行路段--任务执行错误" + e);
        }
        log.info("定时任务--干线协调方向频发拥堵/缓行路段--执行结束时间：" + LocalDateTime.now());
    }

}
